1 Reply Latest reply on Aug 11, 2015 10:30 AM by Keith_Reeder

    I need a patch for lightroom 4.4 to use on 4k monitor - i cant read the screen

    Kringle in Katy

      Does Adobe have a patch yet for 4 k monitor?   I can't run LR 4.4 or CS5 Photoshop!!!